Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.beasys.commerce.util
Class CommandLineArgument

    java.lang.Object
      |
      +--com.beasys.commerce.util.CommandLineArgument

Deprecated. Use `CommandLineArgument`

public class CommandLineArgument
extends java.lang.Object

Representation of a command line argument.

Field Summary
`protected java.lang.String` | `defaultValue` Deprecated.
`protected java.lang.String` | `description` Deprecated.
`protected java.lang.String` | `flag` Deprecated.
`protected boolean` | `required` Deprecated.
`protected boolean` | `requiresFlagValue` Deprecated.

Constructor Summary
`CommandLineArgument(java.lang.String aFlag, boolean requiresValue, boolean required)` Deprecated. Command line argument constructor.

Method Summary
`boolean` | `equals(java.lang.Object anObject)` Deprecated. Equals.
`java.lang.String` | `getDefaultValue()` Deprecated. Get default value.
`java.lang.String` | `getDescription()` Deprecated. Get description.
`java.lang.String` | `getFlag()` Deprecated. Get flag.
`boolean` | `isRequired()` Deprecated. Is required.
`boolean` | `requiresFlagValue()` Deprecated. Requires flag value.
`void` | `setDefaultValue(java.lang.String aDefaultValue)` Deprecated. Set default value.
`void` | `setDescription(java.lang.String aDescription)` Deprecated. Set description.
`void` | `setFlag(java.lang.String aFlag)` Deprecated. Set flag.
`void` | `setRequired(boolean aBool)` Deprecated. Set required.
`void` | `setRequiresFlagValue(boolean aBool)` Deprecated. Set requires flag value.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### flag

    protected java.lang.String flag

  Deprecated.

### defaultValue

    protected java.lang.String defaultValue

  Deprecated.

### description

    protected java.lang.String description

  Deprecated.

### required

    protected boolean required

  Deprecated.

### requiresFlagValue

    protected boolean requiresFlagValue

  Deprecated.

Constructor Detail

### CommandLineArgument

    public CommandLineArgument(java.lang.String aFlag,
                               boolean requiresValue,
                               boolean required)

  Deprecated.
  Command line argument constructor.

  Parameters:
    `aFlag` -
    `requiresValue` -
    `required` -

Method Detail

### setFlag

    public void setFlag(java.lang.String aFlag)

  Deprecated.
  Set flag.

  Parameters:
    `aFlag` -

### getFlag

    public java.lang.String getFlag()

  Deprecated.
  Get flag.

  Returns:
    `String`

### getDescription

    public java.lang.String getDescription()

  Deprecated.
  Get description.

  Returns:
    `String`

### setDescription

    public void setDescription(java.lang.String aDescription)

  Deprecated.
  Set description.

  Parameters:
    `aDescription` -

### setDefaultValue

    public void setDefaultValue(java.lang.String aDefaultValue)

  Deprecated.
  Set default value.

  Parameters:
    `aDefaultValue` -

### getDefaultValue

    public java.lang.String getDefaultValue()

  Deprecated.
  Get default value.

  Returns:
    `String`

### setRequired

    public void setRequired(boolean aBool)

  Deprecated.
  Set required.

  Parameters:
    `aBool` -

### isRequired

    public boolean isRequired()

  Deprecated.
  Is required.

  Returns:
    `boolean`

### setRequiresFlagValue

    public void setRequiresFlagValue(boolean aBool)

  Deprecated.
  Set requires flag value.

  Parameters:
    `aBool` -

### requiresFlagValue

    public boolean requiresFlagValue()

  Deprecated.
  Requires flag value.

  Returns:
    `boolean`

### equals

    public boolean equals(java.lang.Object anObject)

  Deprecated.
  Equals.

  Parameters:
    `anObject` -
  Returns:
    `boolean`
  Overrides:
    equals in class java.lang.Object

Overview | Package | Class | Tree | Deprecated | Index | Help
| © 2002 BEA Systems, Inc.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002 BEA Systems, Inc. All Rights Reserved